package com.fs.company.domain;

import java.math.BigDecimal;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 套餐对象 company_voice_package
 * 
 * @author fs
 * @date 2023-02-23
 */
public class CompanyVoicePackage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long packageId;

    /** 套餐名 */
    @Excel(name = "套餐名")
    private String packageName;

    /** 价格 */
    @Excel(name = "价格")
    private BigDecimal price;

    /** 时长 分 */
    @Excel(name = "时长 分")
    private Long times;

    /** 状态 0禁用 1正常 */
    @Excel(name = "状态 0禁用 1正常")
    private Integer status;

    /** 超出后每分钟价格 */
    @Excel(name = "超出后每分钟价格")
    private BigDecimal expirePrice;

    public void setPackageId(Long packageId) 
    {
        this.packageId = packageId;
    }

    public Long getPackageId() 
    {
        return packageId;
    }
    public void setPackageName(String packageName) 
    {
        this.packageName = packageName;
    }

    public String getPackageName() 
    {
        return packageName;
    }
    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice() 
    {
        return price;
    }
    public void setTimes(Long times) 
    {
        this.times = times;
    }

    public Long getTimes() 
    {
        return times;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setExpirePrice(BigDecimal expirePrice) 
    {
        this.expirePrice = expirePrice;
    }

    public BigDecimal getExpirePrice() 
    {
        return expirePrice;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("packageId", getPackageId())
            .append("packageName", getPackageName())
            .append("price", getPrice())
            .append("times", getTimes())
            .append("status", getStatus())
            .append("expirePrice", getExpirePrice())
            .append("remark", getRemark())
            .toString();
    }
}
